openapi: 3.0.0
info:
  title: main
  version: '1.0'
servers:
  - url: 'http://localhost:3000'
paths:
  /main/enums/get:
    parameters: []
    post:
      summary: ''
      operationId: post-main-enums-get
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EnumResponse'
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/EnumRequest'
components:
  schemas:
    EnumResponse:
      description: ''
      type: object
      x-examples:
        example-1:
          enumName: string
          enumCode: string
          enumValue: string
      properties:
        id:
          type: integer
        enumName:
          type: string
          minLength: 1
        enumCode:
          type: string
          minLength: 1
        enumType:
          type: string
          minLength: 1
      required:
        - enumName
        - enumCode
        - enumType
    EnumRequest:
      title: EnumRequest
      type: object
      properties:
        enumType:
          type: string
